<?xml version="1.0" encoding="utf-8"?>
<navigation xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/nav_graph"
    app:startDestination="@id/splashScreen">
    <fragment
        android:id="@+id/loginScreen"
        android:name="id.melur.binar.challengechapter5.LoginScreen"
        android:label="fragment_login_screen"
        tools:layout="@layout/fragment_login_screen" >
        <action
            android:id="@+id/action_loginScreen_to_homeScreen"
            app:destination="@id/homeScreen"
            app:popUpTo="@id/loginScreen"
            app:popUpToInclusive="true" />
        <action
            android:id="@+id/action_loginScreen_to_registerScreen"
            app:destination="@id/registerScreen" />
    </fragment>
    <fragment
        android:id="@+id/registerScreen"
        android:name="id.melur.binar.challengechapter5.RegisterScreen"
        android:label="fragment_register_screen"
        tools:layout="@layout/fragment_register_screen" >
        <action
            android:id="@+id/action_registerScreen_to_loginScreen"
            app:destination="@id/loginScreen" />
    </fragment>
    <fragment
        android:id="@+id/homeScreen"
        android:name="id.melur.binar.challengechapter5.HomeScreen"
        android:label="fragment_home_screen"
        tools:layout="@layout/fragment_home_screen" >
        <action
            android:id="@+id/action_homeScreen_to_profileScreen"
            app:destination="@id/profileScreen" />
        <action
            android:id="@+id/action_homeScreen_to_detailScreen"
            app:destination="@id/detailScreen" />
    </fragment>
    <fragment
        android:id="@+id/profileScreen"
        android:name="id.melur.binar.challengechapter5.ProfileScreen"
        android:label="fragment_profile_screen"
        tools:layout="@layout/fragment_profile_screen" >
        <action
            android:id="@+id/action_profileScreen_to_loginScreen"
            app:destination="@id/loginScreen"
            app:popUpTo="@id/profileScreen"
            app:popUpToInclusive="true" />
    </fragment>
    <fragment
        android:id="@+id/splashScreen"
        android:name="id.melur.binar.challengechapter5.SplashScreen"
        android:label="fragment_splash_screen"
        tools:layout="@layout/fragment_splash_screen" >
        <action
            android:id="@+id/action_splashScreen_to_loginScreen"
            app:destination="@id/loginScreen"
            app:popUpTo="@id/splashScreen"
            app:popUpToInclusive="true" />
        <action
            android:id="@+id/action_splashScreen_to_homeScreen"
            app:destination="@id/homeScreen"
            app:popUpTo="@id/splashScreen"
            app:popUpToInclusive="true" />
    </fragment>
    <fragment
        android:id="@+id/detailScreen"
        android:name="id.melur.binar.challengechapter5.DetailScreen"
        android:label="fragment_detail_screen"
        tools:layout="@layout/fragment_detail_screen" />
</navigation>